# ConfigurableEmitter.ColorRecord (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.particles
Class ConfigurableEmitter.ColorRecord

    java.lang.Object
      org.newdawn.slick.particles.ConfigurableEmitter.ColorRecord

Enclosing class:
  ConfigurableEmitter

    public class ConfigurableEmitter.ColorRecord

extends java.lang.Object

A single element in the colour range of this emitter

Author:
  kevin

Field Summary
`Color` `col` The color at this position
`float` `pos` The position in the life cycle

Constructor Summary
`ConfigurableEmitter.ColorRecord(float pos, Color col)` Create a new record

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pos

    public float pos

  The position in the life cycle

### col

    public Color col

  The color at this position

Constructor Detail

### ConfigurableEmitter.ColorRecord

    public ConfigurableEmitter.ColorRecord(float pos,
                                           Color col)

  Create a new record

  Parameters:
    `pos` - The position in the life cycle (0 = start, 1 = end)
    `col` - The color applied at this position

Copyright © 2006 New Dawn Software. All Rights Reserved.